<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SESim: IController Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SESim
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="class_i_controller-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">IController Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Base class for all the controllers implementations.  
 <a href="class_i_controller.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for IController:</div>
<div class="dyncontent">
<div class="center"><img src="class_i_controller__inherit__graph.png" border="0" usemap="#_i_controller_inherit__map" alt="Inheritance graph"/></div>
<map name="_i_controller_inherit__map" id="_i_controller_inherit__map">
<area shape="rect" id="node3" href="class_d_d_o_b___controller.html" title="DDOB_Controller" alt="" coords="275,5,397,32"/>
<area shape="rect" id="node4" href="class_d_o_b___c_l___controller.html" title="Implementation of a DOB CL controller. " alt="" coords="269,56,403,83"/>
<area shape="rect" id="node5" href="class_d_o_b___o_l___controller.html" title="Implementation of a DOB OL controller. " alt="" coords="268,107,404,133"/>
<area shape="rect" id="node6" href="class_p_i_d___controller.html" title="Implementation of a PID controller. " alt="" coords="283,157,389,184"/>
<area shape="rect" id="node7" href="class_p_i_d___controller__transparency.html" title="Implementation of a PID controller. " alt="" coords="243,208,429,235"/>
<area shape="rect" id="node8" href="class_p_i_d___controller__with___a_f.html" title="Implementation of a PID controller. " alt="" coords="256,259,416,285"/>
<area shape="rect" id="node2" href="classhandle.html" title="handle" alt="" coords="5,132,65,159"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a7da05d6bb9bc7e5cce30a885980d12f4"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a7da05d6bb9bc7e5cce30a885980d12f4">IController</a> ()</td></tr>
<tr class="memdesc:a7da05d6bb9bc7e5cce30a885980d12f4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Class constructor.  <a href="#a7da05d6bb9bc7e5cce30a885980d12f4">More...</a><br /></td></tr>
<tr class="separator:a7da05d6bb9bc7e5cce30a885980d12f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c3da2b5610c57bfd232689f1a762e0e"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a7c3da2b5610c57bfd232689f1a762e0e">process_</a> (in obj, in t, in tau_s, in dtau_s, in theta_m, in dtheta_m, in theta_e, in dtheta_e, in <a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">ref</a>)</td></tr>
<tr class="memdesc:a7c3da2b5610c57bfd232689f1a762e0e"><td class="mdescLeft">&#160;</td><td class="mdescRight">The control law of the controller.  <a href="#a7c3da2b5610c57bfd232689f1a762e0e">More...</a><br /></td></tr>
<tr class="separator:a7c3da2b5610c57bfd232689f1a762e0e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa77100b541ba43fcfb22723a677e480d"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#aa77100b541ba43fcfb22723a677e480d">reset</a> (in obj)</td></tr>
<tr class="memdesc:aa77100b541ba43fcfb22723a677e480d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reset all the properties.  <a href="#aa77100b541ba43fcfb22723a677e480d">More...</a><br /></td></tr>
<tr class="separator:aa77100b541ba43fcfb22723a677e480d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b96d559a015f326bf258e7090c9e528"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a6b96d559a015f326bf258e7090c9e528">process</a> (in obj, in t, in tau_s, in dtau_s, in theta_m, in dtheta_m, in theta_e, in dtheta_e, in <a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">ref</a>)</td></tr>
<tr class="memdesc:a6b96d559a015f326bf258e7090c9e528"><td class="mdescLeft">&#160;</td><td class="mdescRight">Manage the control loop frequency and call the child class <a class="el" href="class_i_controller.html#a7c3da2b5610c57bfd232689f1a762e0e" title="The control law of the controller. ">process_()</a> to exec the control law.  <a href="#a6b96d559a015f326bf258e7090c9e528">More...</a><br /></td></tr>
<tr class="separator:a6b96d559a015f326bf258e7090c9e528"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a73d044705182dce0379a1c211dca6ec6"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a73d044705182dce0379a1c211dca6ec6">name</a></td></tr>
<tr class="memdesc:a73d044705182dce0379a1c211dca6ec6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name of the controller.  <a href="#a73d044705182dce0379a1c211dca6ec6">More...</a><br /></td></tr>
<tr class="separator:a73d044705182dce0379a1c211dca6ec6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afaa1f8279f05b2c01704413b91ea23d8"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#afaa1f8279f05b2c01704413b91ea23d8">debug1</a></td></tr>
<tr class="memdesc:afaa1f8279f05b2c01704413b91ea23d8"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#afaa1f8279f05b2c01704413b91ea23d8">More...</a><br /></td></tr>
<tr class="separator:afaa1f8279f05b2c01704413b91ea23d8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfc40a1e446bb64c4e9c4f6216641901"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#adfc40a1e446bb64c4e9c4f6216641901">debug2</a></td></tr>
<tr class="memdesc:adfc40a1e446bb64c4e9c4f6216641901"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#adfc40a1e446bb64c4e9c4f6216641901">More...</a><br /></td></tr>
<tr class="separator:adfc40a1e446bb64c4e9c4f6216641901"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02f4bee6bbeef8bd446032b0c685cb63"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a02f4bee6bbeef8bd446032b0c685cb63">debug3</a></td></tr>
<tr class="memdesc:a02f4bee6bbeef8bd446032b0c685cb63"><td class="mdescLeft">&#160;</td><td class="mdescRight">General purpose debug signal.  <a href="#a02f4bee6bbeef8bd446032b0c685cb63">More...</a><br /></td></tr>
<tr class="separator:a02f4bee6bbeef8bd446032b0c685cb63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9593765ae9066406e2e4a852b31c2779"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a9593765ae9066406e2e4a852b31c2779">control_loop_max</a></td></tr>
<tr class="memdesc:a9593765ae9066406e2e4a852b31c2779"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable used to manage the control loop frequency.  <a href="#a9593765ae9066406e2e4a852b31c2779">More...</a><br /></td></tr>
<tr class="separator:a9593765ae9066406e2e4a852b31c2779"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b426d363873b67b372a2849b84fd168"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a0b426d363873b67b372a2849b84fd168">control_loop_count</a></td></tr>
<tr class="memdesc:a0b426d363873b67b372a2849b84fd168"><td class="mdescLeft">&#160;</td><td class="mdescRight">Variable used to manage the control loop frequency.  <a href="#a0b426d363873b67b372a2849b84fd168">More...</a><br /></td></tr>
<tr class="separator:a0b426d363873b67b372a2849b84fd168"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa6170db0f3830fc4baf4fcfb3f790a70"><td class="memItemLeft" align="right" valign="top">function&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#aa6170db0f3830fc4baf4fcfb3f790a70">setControlLoop</a> (in obj)</td></tr>
<tr class="memdesc:aa6170db0f3830fc4baf4fcfb3f790a70"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the control loop frequency and show warning dialogs if something went wrong.  <a href="#aa6170db0f3830fc4baf4fcfb3f790a70">More...</a><br /></td></tr>
<tr class="separator:aa6170db0f3830fc4baf4fcfb3f790a70"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a9a5dcf2fcad7bf3ac86d488d1b924363"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a9a5dcf2fcad7bf3ac86d488d1b924363">time</a></td></tr>
<tr class="memdesc:a9a5dcf2fcad7bf3ac86d488d1b924363"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time signal.  <a href="#a9a5dcf2fcad7bf3ac86d488d1b924363">More...</a><br /></td></tr>
<tr class="separator:a9a5dcf2fcad7bf3ac86d488d1b924363"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2b0415b572e4308dc810ad1306534af"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#ae2b0415b572e4308dc810ad1306534af">ref</a></td></tr>
<tr class="memdesc:ae2b0415b572e4308dc810ad1306534af"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference signal.  <a href="#ae2b0415b572e4308dc810ad1306534af">More...</a><br /></td></tr>
<tr class="separator:ae2b0415b572e4308dc810ad1306534af"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a35c88496fe3060ff4b9c67b1c5f1ff0f"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a35c88496fe3060ff4b9c67b1c5f1ff0f">tau</a></td></tr>
<tr class="memdesc:a35c88496fe3060ff4b9c67b1c5f1ff0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tau signal.  <a href="#a35c88496fe3060ff4b9c67b1c5f1ff0f">More...</a><br /></td></tr>
<tr class="separator:a35c88496fe3060ff4b9c67b1c5f1ff0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5072e5230b85a931dc13ab3e5e885154"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a5072e5230b85a931dc13ab3e5e885154">prev_U</a></td></tr>
<tr class="memdesc:a5072e5230b85a931dc13ab3e5e885154"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed value in the previous step.  <a href="#a5072e5230b85a931dc13ab3e5e885154">More...</a><br /></td></tr>
<tr class="separator:a5072e5230b85a931dc13ab3e5e885154"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c689c7a2b1d359f66e49e052a14d72b"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#a0c689c7a2b1d359f66e49e052a14d72b">prev_ref</a></td></tr>
<tr class="memdesc:a0c689c7a2b1d359f66e49e052a14d72b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reference value in the previous step.  <a href="#a0c689c7a2b1d359f66e49e052a14d72b">More...</a><br /></td></tr>
<tr class="separator:a0c689c7a2b1d359f66e49e052a14d72b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae2ba270a4e88ddc59d27147482ca53ec"><td class="memItemLeft" align="right" valign="top">Property&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_i_controller.html#ae2ba270a4e88ddc59d27147482ca53ec">prev_t</a></td></tr>
<tr class="memdesc:ae2ba270a4e88ddc59d27147482ca53ec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Time value in the previous step.  <a href="#ae2ba270a4e88ddc59d27147482ca53ec">More...</a><br /></td></tr>
<tr class="separator:ae2ba270a4e88ddc59d27147482ca53ec"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Base class for all the controllers implementations. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a7da05d6bb9bc7e5cce30a885980d12f4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7da05d6bb9bc7e5cce30a885980d12f4">&#9670;&nbsp;</a></span>IController()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function <a class="el" href="class_i_controller.html">IController</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Class constructor. </p>
<dl class="section return"><dt>Returns</dt><dd>instance of the <a class="el" href="class_i_controller.html" title="Base class for all the controllers implementations. ">IController</a> class. </dd></dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a6b96d559a015f326bf258e7090c9e528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b96d559a015f326bf258e7090c9e528">&#9670;&nbsp;</a></span>process()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function process </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>ref</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Manage the control loop frequency and call the child class <a class="el" href="class_i_controller.html#a7c3da2b5610c57bfd232689f1a762e0e" title="The control law of the controller. ">process_()</a> to exec the control law. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Time value for the actual step </td></tr>
    <tr><td class="paramname">tau_s</td><td>Spring torque value for the actual step </td></tr>
    <tr><td class="paramname">dtau_s</td><td>Derivative of the spring torque for the actual step </td></tr>
    <tr><td class="paramname">theta_m</td><td>Motor position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_m</td><td>Derivative of the motor position for the actual step </td></tr>
    <tr><td class="paramname">theta_e</td><td>Environment position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_e</td><td>Derivative of the environment position for the actual step </td></tr>
    <tr><td class="paramname">ref</td><td>Reference value for the actual step</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>U The processed value. </dd></dl>

</div>
</div>
<a id="a7c3da2b5610c57bfd232689f1a762e0e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7c3da2b5610c57bfd232689f1a762e0e">&#9670;&nbsp;</a></span>process_()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function process_ </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>tau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtau_s</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_m</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>theta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>dtheta_e</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>ref</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The control law of the controller. </p>
<p>Method to be overridden in the child class.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">t</td><td>Time value for the actual step </td></tr>
    <tr><td class="paramname">tau_s</td><td>Spring torque value for the actual step </td></tr>
    <tr><td class="paramname">dtau_s</td><td>Derivative of the spring torque for the actual step </td></tr>
    <tr><td class="paramname">theta_m</td><td>Motor position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_m</td><td>Derivative of the motor position for the actual step </td></tr>
    <tr><td class="paramname">theta_e</td><td>Environment position for the actual step </td></tr>
    <tr><td class="paramname">dtheta_e</td><td>Derivative of the environment position for the actual step </td></tr>
    <tr><td class="paramname">ref</td><td>Reference value for the actual step</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>U The processed value. </dd></dl>

</div>
</div>
<a id="aa77100b541ba43fcfb22723a677e480d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa77100b541ba43fcfb22723a677e480d">&#9670;&nbsp;</a></span>reset()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">function reset </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Reset all the properties. </p>

</div>
</div>
<a id="aa6170db0f3830fc4baf4fcfb3f790a70"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa6170db0f3830fc4baf4fcfb3f790a70">&#9670;&nbsp;</a></span>setControlLoop()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">function setControlLoop </td>
          <td>(</td>
          <td class="paramtype">in&#160;</td>
          <td class="paramname"><em>obj</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the control loop frequency and show warning dialogs if something went wrong. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a0b426d363873b67b372a2849b84fd168"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b426d363873b67b372a2849b84fd168">&#9670;&nbsp;</a></span>control_loop_count</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property control_loop_count</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Variable used to manage the control loop frequency. </p>

</div>
</div>
<a id="a9593765ae9066406e2e4a852b31c2779"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9593765ae9066406e2e4a852b31c2779">&#9670;&nbsp;</a></span>control_loop_max</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property control_loop_max</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Variable used to manage the control loop frequency. </p>

</div>
</div>
<a id="afaa1f8279f05b2c01704413b91ea23d8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afaa1f8279f05b2c01704413b91ea23d8">&#9670;&nbsp;</a></span>debug1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property debug1</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="adfc40a1e446bb64c4e9c4f6216641901"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfc40a1e446bb64c4e9c4f6216641901">&#9670;&nbsp;</a></span>debug2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property debug2</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="a02f4bee6bbeef8bd446032b0c685cb63"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a02f4bee6bbeef8bd446032b0c685cb63">&#9670;&nbsp;</a></span>debug3</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property debug3</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>General purpose debug signal. </p>

</div>
</div>
<a id="a73d044705182dce0379a1c211dca6ec6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a73d044705182dce0379a1c211dca6ec6">&#9670;&nbsp;</a></span>name</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Property name</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Name of the controller. </p>

</div>
</div>
<a id="a0c689c7a2b1d359f66e49e052a14d72b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c689c7a2b1d359f66e49e052a14d72b">&#9670;&nbsp;</a></span>prev_ref</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_ref</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reference value in the previous step. </p>

</div>
</div>
<a id="ae2ba270a4e88ddc59d27147482ca53ec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2ba270a4e88ddc59d27147482ca53ec">&#9670;&nbsp;</a></span>prev_t</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_t</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time value in the previous step. </p>

</div>
</div>
<a id="a5072e5230b85a931dc13ab3e5e885154"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5072e5230b85a931dc13ab3e5e885154">&#9670;&nbsp;</a></span>prev_U</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property prev_U</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Processed value in the previous step. </p>

</div>
</div>
<a id="ae2b0415b572e4308dc810ad1306534af"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae2b0415b572e4308dc810ad1306534af">&#9670;&nbsp;</a></span>ref</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property ref</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reference signal. </p>

</div>
</div>
<a id="a35c88496fe3060ff4b9c67b1c5f1ff0f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a35c88496fe3060ff4b9c67b1c5f1ff0f">&#9670;&nbsp;</a></span>tau</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property tau</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Tau signal. </p>

</div>
</div>
<a id="a9a5dcf2fcad7bf3ac86d488d1b924363"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a5dcf2fcad7bf3ac86d488d1b924363">&#9670;&nbsp;</a></span>time</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Property time</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Time signal. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>Controllers/<a class="el" href="_i_controller_8m.html">IController.m</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
